Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeleteQuickReplyShortcutMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DeleteQuickReplyShortcutMessages

Enclosing class:
  TdApi

public static final class TdApi.DeleteQuickReplyShortcutMessages extends TdApi.Function<TdApi.Ok>
Deletes specified quick reply messages.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long[]`
`messageIds`
Unique identifiers of the messages.
`int`
`shortcutId`
Unique identifier of the quick reply shortcut to which the messages belong.

## Constructor Summary

Constructors
Constructor
Description
`DeleteQuickReplyShortcutMessages()`
Deletes specified quick reply messages.
`DeleteQuickReplyShortcutMessages(int shortcutId, long[] messageIds)`
Deletes specified quick reply messages.
`DeleteQuickReplyShortcutMessages(DataInput input)`
Deletes specified quick reply messages.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### shortcutId

public int shortcutId
Unique identifier of the quick reply shortcut to which the messages belong.

### messageIds

public long[] messageIds
Unique identifiers of the messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### DeleteQuickReplyShortcutMessages

public DeleteQuickReplyShortcutMessages()
Deletes specified quick reply messages.

Returns `Ok`

### DeleteQuickReplyShortcutMessages

public DeleteQuickReplyShortcutMessages(int shortcutId, long[] messageIds)
Deletes specified quick reply messages.

Returns `Ok`

Parameters:
  `shortcutId` - Unique identifier of the quick reply shortcut to which the messages belong.
  `messageIds` - Unique identifiers of the messages.

  Returns `Ok`

### DeleteQuickReplyShortcutMessages

public DeleteQuickReplyShortcutMessages(DataInput input) throws IOException
Deletes specified quick reply messages.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`